<template>
  <v-container>
    <v-row
      align="center"
      justify="center"
    >
      <v-col
        cols="6"
        align="center"
      >
        <h1 class="text-uppercase white--text">
          {{ $t('title') }}
        </h1>
      </v-col>
    </v-row>
    
    <v-row
      justify="center"
      align="center"
    >
      <v-col
        lg="10"
        md="12"
      >
        <v-row>
          <v-col
            xl="4"
            offset-xl="1"
            lg="5"
            md="6"
          >
            <v-row>
              <v-col cols="6">
                <v-card
                  class="mx-auto"
                  :height="height"
                  light
                  flat
                  tile
                >
                  <v-img
                    class="white--text align-end"
                    :height="1/3*height"
                    src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
                  />

                  <v-card-title
                    class="py-1 font-weight-bold secondary--text"
                  >
                    {{ $t('card.title') }}
                  </v-card-title>

                  <v-card-text>
                    <div>{{ $t('card.content') }}</div>
                  </v-card-text>

                  <v-card-actions class="card-actions pa-4">
                    <v-icon color="accent">
                      mdi-plus-circle
                    </v-icon>
                    &nbsp;
                    <a
                      href="#"
                      class="accent--text"
                    >
                      {{ $t('card.more') }}
                    </a>
                  </v-card-actions>
                </v-card>
              </v-col>
              <v-col cols="6">
                <v-card
                  class="mx-auto"
                  :height="height"
                  light
                  flat
                  tile
                >
                  <v-img
                    class="white--text align-end"
                    :height="1/3*height"
                    src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
                  />

                  <v-card-title
                    class="py-1 font-weight-bold secondary--text"
                  >
                    {{ $t('card1.title') }}
                  </v-card-title>

                  <v-card-text>
                    <div>{{ $t('card1.content') }}</div>
                  </v-card-text>

                  <v-card-actions class="card-actions pa-4">
                    <v-icon color="accent">
                      mdi-plus-circle
                    </v-icon>
                    &nbsp;
                    <a
                      href="#"
                      class="accent--text"
                    >
                      {{ $t('card1.more') }}
                    </a>
                  </v-card-actions>
                </v-card>
              </v-col>
            </v-row>
          </v-col>

          <v-col
            offset="0"
            offset-lg="2"
            xl="4"
            lg="5"
            md="6"
          >
            <v-row>
              <v-col
                class="text-uppercase secondary--text py-0"
              >
                <div
                  id="right-col"
                >
                  <v-row>
                    <v-col cols="2">
                      <img
                        :src="imageLink + 'linkedin.svg'"
                      >
                    </v-col>

                    <v-col cols="10">
                      <strong>{{ $t('linkedin.main') }}</strong>
                      <br>{{ $t('linkedin.secondary') }}
                    </v-col>
                  </v-row>

                  <v-divider />

                  <v-row>
                    <v-col cols="12">
                      <strong>{{ $t('discover.main') }}</strong> {{ $t('discover.secondary') }}
                    </v-col>
                  </v-row>

                  <v-row>
                    <v-col cols="12 pb-0">
                      <div class="video-wrapper">
                        <iframe
                          src="https://youtube.com/embed/ALAutTya024"
                          frameborder="0"
                          allowfullscreen
                        />
                      </div>
                    </v-col>
                  </v-row>
                </div>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/News/";
  
export default {
  i18n: {
    messages: {
      'en': messages_en,
      'eu': messages_eu,
      'fr': messages_fr
    }
  },
  props: {
    imageLink: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      height: 0
    }
  },
  mounted () {
    const col = document.getElementById('right-col');
    this.height = col.clientHeight - 9 // padding bottom - décalage (3px) lié au logo linkedin;
  }
}
</script>

<style scoped lang="scss">
.video-wrapper {
  position: relative;
  padding-bottom: 49%; /* ratio of movici video */
  padding-top: 25px;
  height: 0;
  iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
</style>